Modify

#1193 closed enhancement (wontfix)

Google Hangouts support

Reported by: davr Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 3.2.2
Keywords: google, hangouts, plugin Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

The newer "Google Hangouts" supports more features that are not translated through their XMPP bridge. Most critically, you cannot participate in any group chats via XMPP. Unfortunately the new Hangouts does not have a public API specification, however it has been reverse engineered and there exists a python client/specification for it: https://github.com/tdryer/hangups

This request is for a bitlbee plugin that either implements the Hangouts API, or interfaces with the existing hangups client, so I can get google hangouts in my IRC.

Attachments (0)

Change History (4)

comment:1 Changed at 2015-01-30T04:40:59Z by dx

Resolution: wontfix
Status: newclosed

Hi! Sorry! Closing this ticket because we don't track feature requests for whole new protocols here. More specifically, because we had a ton of tickets requesting protocols and I had to close them while cleaning the mess of this tracker. So this one gets closed too, to be fair.

But hangouts in particular is requested very often and likely to get implemented at some point. Some people have expressed interest in integrating hangups with bitlbee somehow, but nothing has come out of that yet, afaik.

As always if anyone is interested in implementing this, I'm willing to help.

comment:2 Changed at 2015-01-30T08:18:59Z by wilmer

So my plan is to add Python (or generic non-C) bindings of some sort to BitlBee so someone else can integrate hangups.

comment:3 Changed at 2015-02-02T17:47:46Z by davr

That would be awesome, if there were python bindings, I could probably integrate it myself.

comment:4 Changed at 2015-03-25T03:51:03Z by anonymous

Yes, I went searching for a solution for hangouts group.

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.